#Module-Specific definitions
%define mod_name mod_php4
%define mod_conf 70_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define extname apache2handler

%define major 4
%define libname %mklibname php4_common %{major}
%define apache_version 2.0.54
%define php_version 4.4.0
%define version %{apache_version}_%{php_version}

Summary:	The PHP4 HTML-embedded scripting language for use with apache
Name:		apache-%{mod_name}
Version:	%{version}
Release:	%mkrel 2
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net/ 
Source1:	%{mod_conf}.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache-mpm-prefork >= %{apache_version}
Requires(pre):	apache-base >= %{apache_version}
Requires(pre):	apache-modules >= %{apache_version}
Requires:	apache-conf >= 2.0.54
Requires:	apache-mpm-prefork >= %{apache_version}
Requires:	apache-base >= %{apache_version}
Requires:	apache-modules >= %{apache_version}
Requires(post): %{libname} >= %{php_version}
Requires(post): php4-ini >= %{php_version}
Requires(post): php4-tokenizer >= %{php_version}
Requires(preun): %{libname} >= %{php_version}
Requires(preun): php4-ini >= %{php_version}
Requires(preun): php4-tokenizer >= %{php_version}
Requires:	%{libname} >= %{php_version}
Requires:	php4-ini >= %{php_version}
Requires:	php4-tokenizer >= %{php_version}
BuildRequires:	php4-devel
BuildRequires:	apache-devel >= %{apache_version}
BuildRoot:	%{_tmppath}/%{name}-root

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The %{name} module enables the apache2 web server to
understand and process the embedded PHP language in web pages.

This package contains PHP version 4. You'll also need to install the
apache web server.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php4-devel/sapi/%{extname}/* .
cp %{_usrsrc}/php4-devel/PHP_FAQ.php .
cp %{_usrsrc}/php4-devel/internal_functions.c .
cp sapi_apache2.c mod_php4.c

%build

%{_sbindir}/apxs \
    `php4-config --includes` \
    `apr-config --link-ld --libs` \
    -I%{_usrsrc}/php4-devel \
    -I. -lphp4_common \
    -c mod_php4.c apache_config.c php_functions.c \
    internal_functions.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc PHP_FAQ.php 
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.4.0-2mdk
- fix deps

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.4.0-1mdk
- rebuilt for php-4.4.0RC1

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.3.11-3mdk
- move the DirectoryIndex statements from the apache-conf package into
  this configuration
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.3.11-2mdk
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_4.3.11-1mdk
- build for apache 2.0.54
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.53_4.3.11-1mdk
- build for php-4.3.11

* Thu Mar 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_4.3.10-7mdk
- use the %%mkrel macro

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_4.3.10-6mdk
- fix %%post and %%postun to prevent double restarts

* Wed Feb 16 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_4.3.10-5mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_4.3.10-4mdk
- fix deps

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_4.3.10-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_4.3.10-2mdk
- rebuilt against a non hardened-php aware php lib

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_4.3.10-1mdk
- rebuilt for apache 2.0.53

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.10-5mdk
- remove stupid conflict with itself (where did that come from?),
  spotted by Luis Alves 

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.10-4mdk
- cleanups

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.10-3mdk
- dotnuke

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.10-2mdk
- rebuild due to hardened-php-0.2.6

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.10-1mdk
- rebuilt for php-4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.9-1mdk
- rebuilt for php-4.3.9

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_4.3.8-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_4.3.8-1mdk
- built for apache 2.0.51

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.8-2mdk
- rebuilt

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.8-1mdk
- rebuilt for php-4.3.8

* Wed Jun 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.7-1mdk
- built for apache 2.0.50

* Fri Jun 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.7-2mdk
- sync with fedora (fixes a memory leak)

* Fri Jun 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.7-1mdk
- built for php-4.3.7
- fix deps

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.6-2mdk
- don't link against aprutil and db4

* Sat May 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.6-1mdk
- rebuilt for apache v2.0.49 and php 4.3.6

* Sun Mar 21 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_4.3.5-0.1mdk
- rebuilt for apache v2.0.49 and php 4.3.5 (rc3)

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_4.3.4-1mdk
- fix versioning

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_4.3.4-1mdk
- built for php 4.3.4
- fix explicit-lib-dependency

* Mon Jul 21 2003 David BAUDENS <baudens@mandrakesoft.com> 2.0.47_4.3.2-2mdk
- Rebuild to fix Bad siganture

* Wed Jul 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_4.3.2-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.3.2-3mdk
- require php-ini (;))

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.3.2-2mdk
- require php.ini
- updated S1
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.3.2-1mdk
- rebuild for apache v2.0.46 and php v4.3.2
- use the new apache2handler SAPI instead
- misc spec file fixes
- build against db4 not both db3 and db4

* Fri Apr 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_4.3.1-1mdk
- cosmetic rebuild for apache v2.0.45

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_4.3.1-2mdk
- fix provides

* Mon Feb 17 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_4.3.1-1mdk
- rebuild for it to show new PHP version in signature
  (even if nothing has changed)

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_4.3.0-2mdk
- rebuild

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_4.3.0-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.3.0-6mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.3.0-5mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.3.0-4mdk
- rebuilt against rebuilt buildrequires

* Thu Jan 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43_4.3.0-3mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Thu Jan 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43_4.3.0-2mdk
- Rebuild on the cluster, try #1, will need to be rebuilt again
  when everything is synchronized

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.43_4.3.0-1mdk
- rebuilt for new PHP 4.3.0
- macroize db3/db4 so we can easily recompile between 9.0 and Cooker
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.2.3-2mdk
- rebuilt for/against apache2 where dependencies has changed in apr
- a lot of requires and buildrequires changes

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.2.3-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning
- misc spec file fixes

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_4.2.3-2mdk
- rebuilt against new apache v2.0.42

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.2.3-1mdk
- 4.2.3 maintenance release

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.2.2-2mdk
- Add BuildRequires ADVX-build

* Wed Aug 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.2.2-1mdk
- First Apache 2 module to comply with the ADVX policy at:
  http://advx.org/devel/policy.php
